#ifndef  __COMBYTEMANAGER_H__
#define  __COMBYTEMANAGER_H__
#include "stdint.h"
#ifdef __cplusplus
extern "C" {
#endif

#define  MAX_FRAME_LEN  63
#define  MAX_FRAME_NUM  63
#define  Start_Frame    0
#define  Follow_Frame   1

#define  AUTO_SEARCH_CARD_COM 0x63           //ԶѰƬָ
#define  ISO14443_P3 1
#define  ISO14443_P4 2

uint8_t autoSearchCardCmdBytes(int en, uint8_t delayMs, uint8_t bytCardType, uint8_t *out_data);
uint8_t data_framing_single(int frame_type,
                                      uint8_t frame_num,
									  uint8_t command,
									  uint8_t *original_data,
									  uint8_t original_data_len,
									  uint8_t *out_data);
int data_framing_full(uint8_t command, uint8_t *pSend_data, int send_data_len, uint8_t *out_data) ;
#ifdef __cplusplus
}
#endif

#endif
