/*******************************************************************************
*   文件名：     dk_crypt.h
*   描述：       加解密
*   作者：       Lochy.Huang
*   创建日期：   2018.09.21
*   最后更新：   无
*   更新内容：   无
*******************************************************************************/
#ifndef __DK_CRYPT_H__
#define __DK_CRYPT_H__

uint8_t dk_aes128_encrypt_cbc( const uint8_t *input, uint8_t *output, size_t length, uint8_t aesKey[16], uint8_t iv[16] );
uint8_t dk_aes128_decrypt_cbc( const uint8_t *input, uint8_t *output, size_t length, uint8_t aesKey[16], uint8_t iv[16] );
uint8_t dk_aes256_encrypt_cbc( const uint8_t *input, uint8_t *output, size_t length, uint8_t aesKey[32], uint8_t iv[16] );
uint8_t dk_aes256_decrypt_cbc( const uint8_t *input, uint8_t *output, size_t length, uint8_t aesKey[32], uint8_t iv[16] );
uint8_t dk_aes128encrypt_ecb( const uint8_t input[16], uint8_t output[16], uint8_t aesKey[16] );
uint8_t dk_aes128decrypt_ecb( const uint8_t input[16], uint8_t output[16], uint8_t aesKey[16] );
uint32_t dk_des_cbc_encrypt(uint8_t *pout, uint8_t *pdata, uint32_t nlen, uint8_t *pkey, uint8_t *piv);
uint8_t dk_md5(const uint8_t *input, size_t ilen, uint8_t output[16]);

#endif
