#ifndef __DK_UTILS_H__
#define __DK_UTILS_H__
#include "stdint.h"
#include "sdk_config.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef bool
#define bool int
#define false 0
#define true 1
#endif
extern uint8_t debug_enable_flag;

#if DK_DEBUG
#define DEBUG_Printf(...) do{if(debug_enable_flag) {printf(__VA_ARGS__);}}while(0)  
#define dk_log_hex(title, data, len)	do{ if(debug_enable_flag) { printf("%s",title);  for(int i = 0; i < len; i++){printf("%02x",*(data+i) );} printf("\r\n");} }while(0)
#else
#define DEBUG_Printf(...)
#define dk_log_hex(...)
#endif


void system_time_printf(void);
void get_sys_time(char *timestr);
long get_timestamp(void);
void get_timestamp_str(char *timestamp_str);

void Sleep(int ms);
int calc_lrc(uint8_t *in_data, int len);
void byteHexToSting(uint8_t *hex, uint16_t hex_len, char *hex_str);
#ifdef __cplusplus
}
#endif


#endif
